Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 926176 - msp430-binutils: Does not support aarch64, ppc64le in rawhide
Summary: msp430-binutils: Does not support aarch64, ppc64le in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: msp430-binutils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Gilton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 926177 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2013-03-23 15:32 UTC by Dennis Gilmore
Modified: 2014-07-08 05:38 UTC (History)
3 users (show)

Fixed In Version: msp430-binutils-2.21.1a-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 05:38:10 UTC


Attachments (Terms of Use)
Patch for rawhide (deleted)
2014-06-26 06:02 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2013-03-23 15:32:14 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  msp430-binutils appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/msp430-binutils/msp430-binutils-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Yaakov Selkowitz 2014-06-26 06:02:15 UTC
Created attachment 912352 [details]
Patch for rawhide

Now we can just copy config.{guess,sub} from redhat-rpm-config.
Successful koji scratch builds:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2452697
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1900877


Note You need to log in before you can comment on or make changes to this bug.